import https from './interface'

export default {
    // GET 查询菜品类型列表
    getTypeList (data) {
        return https({
            url: `/app/eatery/type/list/all`,
            method: 'GET',
            data
        })
    },
    //门店信息列表
    getShopList (data) {
        return https({
            url: `/app/eatery/shopInfo/list`,
            method: 'GET',
            data
        })
    },
    //门店详情信息
    getShopInfo (id) {
        return https({
            url: `/app/eatery/shopInfo/${id}`,
            method: 'GET'
        })
    },
    getWithProduct (data) {
        return https({
            url: `/app/eatery/type/list/with/product`,
            method: 'GET',
            data
        })
    },
    /**
     * 获取菜品列表
     * 这块类型+菜品接口
     * @param id
     * @returns {Promise | Promise<unknown> | *}
     */
    getWithProduct1 (id) {
        return https({
            url: `/app/eatery/shopInfo/product/${id}`,
            method: 'GET'
        })
    },
    getProductList (data) {
        return https({
            url: `/app/eatery/product/list`,
            method: 'GET',
            data
        })
    }
}
